import { $postParam, $post } from "@/plugins/axios";

// 培养方案管理 ------------------->
export const trainingPlanListPage = (datas) => {
  return $postParam("/admin/obe/culture/program/page", datas);
};
export const deleteTrainingPlan = (id) => {
  return $postParam("/admin/obe/culture/program/remove", { id });
};
export const copyTrainingPlan = (id) => {
  return $postParam("/admin/obe/culture/program/copy", { id });
};
export const updateTrainingPlan = (datas) => {
  return $post("/admin/obe/culture/program/save", datas);
};

// 培养方案管理-培养目标 ------------------->
export const trainingPlanTargetListPage = (datas) => {
  return $postParam("/admin/obe/culture/program/target/list", datas);
};
export const deleteTrainingPlanTarget = (id) => {
  return $postParam("/admin/obe/culture/program/target/remove", { id });
};
export const updateTrainingPlanTarget = (datas) => {
  return $post("/admin/obe/culture/program/target/save", datas);
};

// 培养方案管理-毕业要求 ------------------->
export const trainingPlanRequirementListPage = (datas) => {
  return $postParam("/admin/obe/culture/program/requirement/list", datas);
};
export const addTrainingPlanRequirementNode = (id) => {
  return $postParam("/admin/obe/culture/program/requirement/node_add", { id });
};
export const deleteTrainingPlanRequirementNode = (id) => {
  return $postParam("/admin/obe/culture/program/requirement/remove", { id });
};
export const updateTrainingPlanRequirement = (datas) => {
  return $post("/admin/obe/culture/program/requirement/save", datas);
};
export const updateTrainingPlanRequirementPredict = (datas) => {
  return $post("/api/admin/basic/professional/save", datas);
};

// 培养方案管理-培养目标与毕业要求关系矩阵 ------------------->
export const trainingPlanMatrixListPage = (datas) => {
  return $postParam("/admin/obe/culture/program/target/matrix/get", datas);
};
export const updateRrainingPlanMatrix = (datas) => {
  return $post("/admin/obe/culture/program/target/matrix/save", datas);
};

// 培养方案管理-课程体系 ------------------->
export const trainingPlanCourseListPage = (datas) => {
  return $postParam("/api/admin/obe/culture/program/course/list", datas);
};
export const deleteRrainingPlanCourse = (id) => {
  return $post("/api/admin/obe/culture/program/course/remove", { id });
};
export const sortRrainingPlanCourse = (datas) => {
  return $post("/api/admin/obe/culture/program/course/sort", datas);
};
export const trainingPlanCourseQueryList = (datas) => {
  return $post("/admin/obe/culture/program/course/query_list", datas);
};
export const trainingPlanCourseSave = (datas) => {
  return $post("/api/admin/obe/culture/program/course/save", datas);
};

// 培养方案管理-课程支撑毕业要求达成矩阵 ------------------->
export const trainingPlanCourseMatrixDetail = (datas) => {
  return $postParam("/api/admin/obe/culture/program/course/matrix/get", datas);
};
export const trainingPlanCourseMatrixSave = (datas) => {
  return $post("/api/admin/obe/culture/program/course/matrix/save", datas, {
    silence: true,
  });
};
